Skip to main content
GET
/
insights
/
{id_insight}
Get Insight
curl --request GET \
  --url http://0.0.0.0:8000/insights/{id_insight} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "name": "<string>",
  "description": "<string>",
  "supporting_events": [
    "<string>"
  ],
  "query": {},
  "query_raw": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id_insight
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
status
string
required
name
string | null
required
description
string | null
required
supporting_events
string[]
required
query
Query · object
required
query_raw
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
deleted_at
string<date-time> | null
required
organization_id
string<uuid>
required